'use strict';

// const _ = require('lodash');
const meta = require('./.schedule.js');
const Controller = require('egg').Controller;
const { CrudController } = require('naf-framework-mongoose/lib/controller');

// 定时任务
class ScheduleController extends Controller {
  constructor(ctx) {
    super(ctx);
    this.service = this.ctx.service.system.schedule;
  }

  async check() {
    this.service.check();
    this.ctx.ok();
  }
}

module.exports = CrudController(ScheduleController, meta);
