'use strict';
/**
 * @param {Egg.Application} app - egg application
 */
module.exports = app => {
  const prefix = '/api/servicezhwl';
  const index = 'order';
  const { router, controller } = app;
  // 订单收入结算
  router.post('order', `${prefix}/order/js`, controller[index].order.js);
  // 客户结算单导出
  router.post('order', `${prefix}/order/client/calculate/export`, controller[index].order.clientExport);
  // 客户结算单查询
  router.get('order', `${prefix}/order/client/calculate`, controller[index].order.clientCalculate);
  // 订单负责人 principalChange
  router.post('order', `${prefix}/order/principal`, controller[index].order.principalChange);
  // 收入
  router.post('order', `${prefix}/order/inBill`, controller[index].order.inBill);
  // 拆分货物
  router.post('order', `${prefix}/order/split`, controller[index].order.splitGoods);
  // 支出
  router.post('order', `${prefix}/order/outBill`, controller[index].order.outBill);
  // 订单
  router.resources(`${prefix}/order`, controller[index].order); // index、create、show、destroy
  router.post('order', `${prefix}/order/update/:id`, controller[index].order.update);
};
