'use strict';

module.exports = () => {
  const config = (exports = {});

  config.logger = {
    // level: 'DEBUG',
    // consoleLevel: 'DEBUG',
  };

  // mongoose config
  config.mongoose = {
    url: 'mongodb://localhost:27017/servicezhwl',
    options: {
      user: 'admin',
      pass: 'admin',
      authSource: 'admin',
      useNewUrlParser: true,
      useCreateIndex: true,
    },
  };

  // redis config
  config.redis = {
    client: {
      port: 6379, // Redis port
      host: '127.0.0.1', // Redis host
      password: 123456,
      db: 0,
    },
  };

  config.project = {
    userAuth: 'http://127.0.0.1:4000/api/role/auth',
    mission: 'http://127.0.0.1:4001/api/mission',
  };

  return config;
};
